# Migration from `1.4` to `1.5`

## Hooks

Since `1.5` multiple sources for a location are possible.
For this reason, while before hooks where executed in the folder of the source, now they are executed in the directory of the config `.autorestic.yaml`.

You can overwrite this behavior with the new `dir` option in the hook section of the config.

```yaml
locations:
  l1:
    # ...
    from: /foo/bar
    hooks:
      dir: /foo/bar
      before: pwd
```

## Docker volumes

The syntax with docker volumes has changed and needs to be adjusted.

```yaml
# Before
locations:
  foo:
    from: volume:my-data
```

```yaml
# After
locations:
  foo:
    from: my-data
    type: volume
```

> :ToCPrevNext
